## org.eclipse.ocl.expressions.operations
Class LetExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.LetExpOperations

    public class LetExpOperations

extends Object

A static utility class that provides operations related to 'Let Exp' model objects.

The following operations are supported:

- `Check Let Type`

Constructor Summary
`protected` `LetExpOperations()`

Method Summary

`static

`<C,PM> boolean`

`

`checkLetType(LetExp<C,PM> letExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
type = in.type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LetExpOperations

    protected LetExpOperations()

Method Detail

### checkLetType

    public static <C,PM> boolean checkLetType(LetExp<C,PM> letExp,
                                              DiagnosticChain diagnostics,
                                              Map<Object,Object> context)

  type = in.type

  Parameters:
    `letExp` - The receiving 'Let Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.